stcmbackend.tenant = {
	sharedEvents(self, modal) {
		// Volver a Listas de Multi tenant
		$('#back').off().on('click', function() {
			window.location.href = '#!tenant';
		});

		// País
		let countryModal = new TableCountries(0, modal);
		$('#searchCountry').off().on('click', function() {
			countryModal.setEvents();
		});

		// Logo principal
		$('#logoPrimIMGdiv').on('click', function() {
			$('#logoPrimario').trigger('click');
		});
		$('#logoPrimario').change(function(evt) {
			let info = pf.utils.getFileSrc(evt);
			self.logoPrimario = info.file;
			$('#logoPrimIMG').attr('src', info.src);
		});

		// Logo secundario
		$('#logoSecIMGdiv').on('click', function() {
			$('#logoSecundario').trigger('click');
		});
		$('#logoSecundario').change(function(evt) {
			let info = pf.utils.getFileSrc(evt);
			self.logoSecundario = info.file;
			$('#logoSecIMG').attr('src', info.src);
		});

		// Favicon
		$('#faviconIMGdiv').on('click', function() {
			$('#favicon').trigger('click');
		});
		$('#favicon').change(function(evt) {
			let info = pf.utils.getFileSrc(evt);
			self.favicon = info.file;
			$('#faviconIMG').attr('src', info.src);
		});

		// Logo wallet
		$('#logoWalletIMGdiv').on('click', function() {
			$('#logoWallet').trigger('click');
		});
		$('#logoWallet').change(function(evt) {
			let info = pf.utils.getFileSrc(evt);
			self.logoWallet = info.file;
			$('#logoWalletIMG').attr('src', info.src);
		});

		// Logo bienvenida
		$('#logoWellcomeIMGdiv').on('click', function() {
			$('#logoWellcome').trigger('click');
		});
		$('#logoWellcome').change(function(evt) {
			let info = pf.utils.getFileSrc(evt);
			self.logoWellcome = info.file;
			$('#logoWellcomeIMG').attr('src', info.src);
		});
	}
};